Subject: Re: [PATCHv2 5/5] refs.c: enable large transactions

From: Ramsay Jones <[email-masked]>
Date: Thu, 22 Jan 2015 19:51:28 +0000

On 22/01/15 19:16, Stefan Beller wrote:
> How do you run sparse on git?

  $ make sparse >sp-out 2>&1

> 
> I noticed there is 'make sparse' though I cannot get it working
> here in the corporate world as I have problems with openssl
> headers not being found.

If you can build git with gcc, you should be able to run 'make sparse'
(modulo bugs, of course!). Having said that, I build sparse from source
and (on Linux) I'm running:

  $ sparse --version
  v0.5.0-30-gca3309e
  $

The most up-to-date (from git://git.kernel.org/pub/scm/devel/sparse/sparse.git)
is actually:

  $ sparse --version
  v0.5.0-41-g6c2d743
  $ 

which should work just fine. (I also run sparse on cygwin and MinGW).

> 
> Also the line numbers seem to bit off compared to what I have
> here, did you need to modify/preprocess files to get sparse running?

No, I am simply building the 'pu' branch (currently @ 028c360).

> 
> As for the fix, would it be sufficient to check != NULL instead of < 0?

Hmm, I didn't give it any thought, but don't you want that to be '== NULL'?
(you don't want to use a NULL lock->lk->fp in the following fprintf()).
Or simply '!fdopen_lock_file(lock->lk, "w")' I suppose.

ATB,
Ramsay Jones